local RayUI, E, L, V, P, G = unpack(select(2, ...))

local IsAddOnLoaded = IsAddOnLoaded
local addon = 'ProjectAzilroka'

if IsAddOnLoaded(addon) ~= true then return end

local _G, string = _G, string

function RayUI:LoadPAProfile()
    --[[----------------------------------
	--	ProjectAzilroka - Settings
	--]] ----------------------------------
    local PA = _G.ProjectAzilroka
    PA.data:SetProfile('RayUI')

    PA.db['SquareMinimapButtons']['MoveQueue'] = false
    PA.db['SquareMinimapButtons']['MoveMail'] = false
    PA.db['SquareMinimapButtons']['MoveTracker'] = false
    PA.db['SquareMinimapButtons']['Backdrop'] = false
    PA.db['SquareMinimapButtons']['ButtonSpacing'] = 0
    PA.db['SquareMinimapButtons']['ButtonsPerRow'] = 10

    PA.db['AuraReminder']['Enable'] = false

    PA.db['EnhancedShadows']['Enable'] = false

    PA.db['MovableFrames']['Enable'] = false

    PA.db['MouseoverAuras']['Enable'] = false

    PA.db['QuestSounds']['Enable'] = false

    PA.db['BrokerLDB']['FontFlag'] = 'OUTLINE'
    PA.db['BrokerLDB']['Font'] = E.Libs.LSM.DefaultMedia['font']

    PA.db['BigButtons']['Enable'] = true

    PA.db['EnhancedFriendsList']['App'] = 'Flat'
    PA.db['EnhancedFriendsList']['BSAp'] = 'Flat'

    PA.db['DragonOverlay']['Enable'] = false

    PA.db['OzCooldowns']['Enable'] = true
    PA.db['OzCooldowns']['StatusBarTexture'] = 'MerathilisUI4'
    PA.db['OzCooldowns']['Tooltips'] = false
    PA.db['OzCooldowns']['SuppressDuration'] = 120
    PA.db['OzCooldowns']['StackFont'] = E.Libs.LSM.DefaultMedia['font']

    PA.db['iFilger']['Enable'] = false
    PA.db['iFilger']['Enhancements']['Enable'] = false
    PA.db['iFilger']['FocusDebuffs']['Enable'] = false
    PA.db['iFilger']['RaidDebuffs']['Enable'] = false
    PA.db['iFilger']['FocusBuffs']['Enable'] = false
    PA.db['iFilger']['Procs']['Enable'] = false
    PA.db['iFilger']['Cooldowns']['Enable'] = false
    PA.db['iFilger']['Buffs']['Enable'] = true
    PA.db['iFilger']['Buffs']['Direction'] = 'LEFT'
    PA.db['iFilger']['Buffs']['Size'] = 40
    PA.db['iFilger']['Buffs']['FilterByList'] = 'Whitelist'
    PA.db['iFilger']['Buffs']['StackCountFont'] = E.Libs.LSM.DefaultMedia['font']
    PA.db['iFilger']['Buffs']['StackCountFontFlag'] = 'OUTLINE'
    PA.db['iFilger']['Buffs']['StackCountFontSize'] = 12
    PA.db['iFilger']['Buffs']['Whitelist'][275863] = true
    PA.db['iFilger']['Buffs']['StackCountFont'] = E.Libs.LSM.DefaultMedia['font']
    PA.db['iFilger']['Buffs']['StatusBarFont'] = E.Libs.LSM.DefaultMedia['font']
    PA.db['iFilger']['Buffs']['StatusBarTexture'] = 'MerathilisUI4'
    PA.db['iFilger']['TargetDebuffs']['Enable'] = false
    PA.db['iFilger']['ItemCooldowns']['Enable'] = true
    PA.db['iFilger']['ItemCooldowns']['StatusBarTexture'] = 'MerathilisUI4'
    PA.db['iFilger']['ItemCooldowns']['StatusBarDirection'] = 'DOWN'
    PA.db['iFilger']['ItemCooldowns']['StackCountFont'] = E.Libs.LSM.DefaultMedia['font']
    PA.db['iFilger']['ItemCooldowns']['StatusBarFont'] = E.Libs.LSM.DefaultMedia['font']
    PA.db['iFilger']['ItemCooldowns']['Size'] = 32
    PA.db['iFilger']['ItemCooldowns']['StatusBar'] = true
    PA.db['iFilger']['ItemCooldowns']['StatusBarFontFlag'] = 'OUTLINE'
    PA.db['iFilger']['ItemCooldowns']['StatusBarFontSize'] = 12
    PA.db['iFilger']['ItemCooldowns']['StackCountFontFlag'] = 'OUTLINE'
    PA.db['iFilger']['ItemCooldowns']['StackCountFontSize'] = 12

    PA.db['ReputationReward']['ShowAll'] = false

    PA.db['Cooldown']['hideBlizzard'] = true
    PA.db['Cooldown']['mmssColor'] = {r = 1, g = 1, b = 0}
    PA.db['Cooldown']['mmssColor'] = {r = 1, g = 1, b = 0}
    PA.db['Cooldown']['fonts'] = {['enable'] = true, ['font'] = 'RayUI Roadway'}
end

local function ElvUI_PATable()
    E.Options.args.rayui.args.addons.args[addon] = {
        order = 1,
        type = 'execute',
        name = addon,
        desc = string.format(L['This will create and apply profile for %s'], addon),
        func = function()
            RayUI:LoadPAProfile()
            E:StaticPopup_Show('PRIVATE_RL')
            -- RayUI:Print(profileString..addon)
        end,
        disabled = function()
            return not IsAddOnLoaded(addon)
        end
    }
end

tinsert(RayUI.Config, ElvUI_PATable)
