local E, L, V, P, G = unpack(ElvUI)
local EP = LibStub('LibElvUIPlugin-1.0')
local addon, Engine = ...

local RayUI = E.Libs.AceAddon:NewAddon(addon, 'AceConsole-3.0', 'AceEvent-3.0', 'AceHook-3.0')

Engine[1] = RayUI
Engine[2] = E
Engine[3] = L
Engine[4] = V
Engine[5] = P
Engine[6] = G
_G[addon] = Engine

RayUI.Config = {}
RayUI['RegisteredModules'] = {}

local pairs = pairs

function RayUI:RegisterModule(name)
    if self.initialized then
        local mod = self:GetModule(name)
        if (mod and mod.Initialize) then mod:Initialize() end
    else
        self['RegisteredModules'][#self['RegisteredModules'] + 1] = name
    end
end

function RayUI:GetRegisteredModules()
    return self['RegisteredModules']
end

function RayUI:InitializeModules()
    for _, moduleName in pairs(RayUI['RegisteredModules']) do
        local mod = self:GetModule(moduleName)
        if mod.Initialize then
            mod:Initialize()
        else
            RayUI:Print('Module <' .. moduleName .. '> is not loaded.')
        end
    end
end

function RayUI:AddOptions()
    for _, func in pairs(RayUI.Config) do func() end
end

function RayUI:Init()
    self.initialized = true
    self:Initialize()
    self:InitializeModules()
    EP:RegisterPlugin(addon, self.AddOptions)
end

E.Libs.EP:HookInitialize(RayUI, RayUI.Init)
