local RayUI, E, _, V, P, G = unpack(select(2, ...))
local RUF = RayUI:GetModule('RayUIUnitframes')
local UF = E.UnitFrames
local oUF = E.oUF

local classList = {
    ['DRUID'] = {
        combat = GetSpellInfo(20484), -- Rebirth
        ooc = GetSpellInfo(50769) -- Revive
    },

    ['WARLOCK'] = {
        combat = GetSpellInfo(20707), -- Soulstone
        ooc = GetSpellInfo(20707) -- Soulstone
    },

    ['PRIEST'] = {
        ooc = GetSpellInfo(2006) -- Resurrection
    },

    ['SHAMAN'] = {
        ooc = GetSpellInfo(2008) -- Ancestral Spirit
    },

    ['PALADIN'] = {
        ooc = GetSpellInfo(7328) -- Redemption
    },

    ['DEATHKNIGHT'] = {
        combat = GetSpellInfo(61999) -- Raise Ally
    },

    ['MONK'] = {
        ooc = GetSpellInfo(115178) -- Resuscitate
    }
}

local body = ''
local function macroBody(class)
    local combatspell = classList[class].combat
    local oocspell = classList[class].ooc

    body = '/stopmacro [nodead,@mouseover]\n'
    if combatspell then
        body = body .. '/cast [combat,help,dead,@mouseover] ' .. combatspell .. '; '

        if oocspell then body = body .. '[help,dead,@mouseover] ' .. oocspell .. '; ' end
    elseif oocspell then
        body = body .. '/cast [help,dead,@mouseover] ' .. oocspell .. '; '
    end

    return body
end

local function Enable(self)
    if classList[E.myclass] and not IsAddOnLoaded('Clique') then
        self:SetAttribute('type3', 'macro')
        self:SetAttribute('macrotext3', macroBody(E.myclass))
        return true
    end
end

local function Disable(self)
    self:SetAttribute('type3', nil)
end

oUF:AddElement('RayUIQuickRes', nil, Enable, Disable)
